//
//  ViewController.swift
//  Pizarra
//
//  Created by Santiago Pavón on 10/6/15.
//  Copyright (c) 2015 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController, PizarraDataSource {

    @IBOutlet weak var pizarraView: PizarraView!
    
    var pizarraModel = PizarraModel()
    
    
    override func viewDidLoad() {
        super.viewDidLoad()

        pizarraView.dataSource = self
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: Gestos
    
    
    @IBAction func pan(sender: UIPanGestureRecognizer) {

        if sender.state == .Began {
            pizarraModel.clean()
        }

        let p = sender.locationInView(sender.view)
        
        pizarraModel.add(Point(x:Double(p.x), y:Double(p.y)))
        
        //sender.setTranslation(CGPointZero, inView: sender.view)
        
        pizarraView.setNeedsDisplay()
    }
    
    // MARK: Pizara Data Source
    
    func endIndex() -> Int {
        return pizarraModel.count()-1
    }
    
    func pointAt(index: Int) -> Point {
        return pizarraModel[index]
    }

}

